Firebird-specific backup, import and creation methods

package | Query
subpackage | Drivers

### Methods

## Enable calling driver methods

    __call(string $method, array $args)

Inherited

inherited_from | \DB_Util::__call()

### Parameters

#### $method

`string`

#### $args

`array`

## Save a reference to the current connection object

    __construct(object $conn) : void

### Parameters

#### $conn

`object`

&$conn

## Create an SQL backup file for the current database's data

    backup_data(array $exclude, bool $system_tables) : string

### Parameters

#### $exclude

`array`

#### $system_tables

`bool`

### Returns

`string`

## Create an SQL backup file for the current database's structure

    backup_structure() : string

### Returns

`string`

## Convienience public function to generate sql for creating a db table

    create_table(string $name, array $fields, array $constraints, array $indexes) : string

### Parameters

#### $name

`string`

#### $fields

`array`

#### $constraints

`array`

#### $indexes

`array`

### Returns

`string`

## Drop the selected table

    delete_table(string $name) : string

### Parameters

#### $name

`string`

### Returns

`string`

### Properties

## Reference to the current connection object

    $conn

Inherited

inherited_from | \DB_Util::$$conn